<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\DocStoreBundle\Validator\Constraints;

use Symfony\Component\Validator\Constraint;

/**
 * @Annotation
 */
final class AsyncFileExists extends Constraint
{
    public string $message = "The file '{{ filename }}' is not stored properly.";

    public function validatedBy()
    {
        return AsyncFileExistsValidator::class;
    }

    public function getTargets()
    {
        return [Constraint::CLASS_CONSTRAINT, Constraint::PROPERTY_CONSTRAINT];
    }
}
